This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1296928 - Race condition when creating squashfs filesystem
Race condition when creating squashfs filesystem
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: squashfs-tools (Show other bugs)
23
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Bruno Wolff III
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-08 08:13 EST by Ronald Wahl
Modified: 2016-12-20 12:42 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:42:38 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ronald Wahl 2016-01-08 08:13:25 EST
Description of problem:

Creating a squashfs filesystem I got the following:
Creating parts/rootfs image ... Parallel mksquashfs: Using 24 processors
...
writer: Lseek on destination failed because Bad file descriptor, offset=0xc07106
...
FATAL ERROR:Probably out of space on output filesystem
...

The problem (actually a regression) seems to be fixed upstream. Please provide an updated package with this fix (F22 is probably affected as well).

Version-Release number of selected component (if applicable):
squashfs-tools-4.3-11.fc23.x86_64

How reproducible:
Rare

Steps to Reproduce:
1. Create squashfs on a multi core system with mksquashfs
2.
3.

Actual results:
In rare cases it fails with the error(s) in the description

Expected results:
No error

Additional info:
Similar report:
https://www.mail-archive.com/openembedded-core@lists.openembedded.org/msg65363.html
Potential upstream fix:
https://github.com/plougher/squashfs-tools/commit/de03266983ceb62e5365aac84fcd3b2fd4d16e6f
Comment 1 Bruno Wolff III 2016-01-26 09:44:08 EST
I'll take a look. squashfs-tools hasn't had a release in a while and cherry picking fixes from a part way to a new release version could potentially not work as expected.
Comment 2 Bruno Wolff III 2016-01-26 10:03:59 EST
I believe the github site is not the primary site for squashfs-tools. The kernel.org site (https://git.kernel.org/cgit/fs/squashfs/squashfs-tools.git/) has a more recent commit than github.
Comment 3 Mahesh Kalyanakrishnan 2016-11-07 17:35:59 EST
Would the commit mentioned in "Potential upstream fix" help in addressing this issue? If not, what diagnostic information would help with the investigation of this issue?
Comment 4 Fedora End Of Life 2016-11-24 09:47:20 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2016-12-20 12:42:38 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.